libqwtplot3d-qt4-0_0.2.7+svn191-7_i386.deb


Advertisement

Description

libqwtplot3d-qt4-0 - 3D plotting library based on Qt4/OpenGL (runtime)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libqwtplot3d-qt4-0
Package version 0.2.7+svn191
Package release 7
Package architecture i386
Package type deb
Installed size 680 B
Download size 221.74 KB
Official Mirror ftp.br.debian.org
QwtPlot3D is a feature rich Qt/OpenGL-based C++ programming
library, providing essentially a bunch of 3D-widgets for
programmers.
This package contains the files necessary for running applications that
use the QwtPlot3D library and Qt4.

Alternatives

Package Version Architecture Repository
libqwtplot3d-qt4-0_0.2.7+svn191-7_amd64.deb 0.2.7+svn191 amd64 Debian Main
libqwtplot3d-qt4-0 - - -

Requires

Name Value
libc6 >= 2.3.6-6~
libgcc1 >= 1:4.1.1
libgl1 -
libgl1-mesa-glx -
libglu1 -
libglu1-mesa -
libqt4-opengl >= 4:4.5.3
libqtcore4 >= 4:4.7.0~beta1
libqtgui4 >= 4:4.5.3
libstdc++6 >= 4.6
zlib1g >= 1:1.1.4

Conflicts

Name Value
libqwtplot3d-qt4 -

Replaces

Name Value
libqwtplot3d-qt4 -

Download

Type URL
Binary Package libqwtplot3d-qt4-0_0.2.7+svn191-7_i386.deb
Source Package qwtplot3d

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqwtplot3d-qt4-0 deb package:
    # sudo apt-get install libqwtplot3d-qt4-0

Files

Path
/usr/lib/libqwtplot3d-qt4.so.0
/usr/lib/libqwtplot3d-qt4.so.0.2
/usr/lib/libqwtplot3d-qt4.so.0.2.7
/usr/share/doc/libqwtplot3d-qt4-0/changelog.Debian.gz
/usr/share/doc/libqwtplot3d-qt4-0/copyright

Changelog

2012-05-16 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
qwtplot3d (0.2.7+svn191-7) unstable; urgency=low
* Remove -lGLU from examples/common.pro, Reverting
last change.
* Add -lGLU to qwtplot3d.pro and add dependency on
libglu1-mesa-dev | libglu-dev (Closes: #672873)
2012-05-12 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
qwtplot3d (0.2.7+svn191-6) unstable; urgency=low
* Fix ftbs (Closes: #672023, #665750)
* Bump standards version to 3.9.3
* Set debhelper dependency to >=8
* Add build-arch and build-indep to rules
* Change copyright to copyright-format 1.0
* Add -lGLU to examples library dependencies
2011-03-03 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
qwtplot3d (0.2.7+svn191-5) unstable; urgency=low
* Remove qt3 support (Closes: #604380)
* Bump standards version to 3.9.1
* Remove README.source
* Switch to dpkg-source 3.0 (quilt) format
* Rewrite patches in quilt format
* Add dependency on zlib1g-dev
* Upgrade copyright file to current format
* Add watch file
* Add misc Depends
* Add doc-base file
* Remove qt3 related things from patches
2009-11-21 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
qwtplot3d (0.2.7+svn191-4) unstable; urgency=low
* Add conflicts and replaces on the old packages libqwtplot3d-qt{3,4}
2009-11-20 - Andreas Tille <tille@debian.org>
qwtplot3d (0.2.7+svn191-3) unstable; urgency=low
[ Gudjon I. Gudjonsson ]
* Create patch 03_fix_ftbs to fix FTBS with gcc-4.4 (Closes: 504912)
* Bump standards version to 3.8.3, no changes needed
* Add README.source
* Add Vcs fields for debian-science
[ Andreas Tille ]
* Group maintenance in Debian Science team with permission of maintainer
* Debhelper 7
* Rename package libqwtplot3d-qt[34] to libqwtplot3d-qt[34]-0 to match
soname
* Remove unneeded debian/*.dirs files because theses dirs will be
created by dh_install automatically anyway
2008-05-27 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
qwtplot3d (0.2.7+svn191-2) unstable; urgency=low
* Added dependency on libqt4-opengl-dev. (Closes: #482252)
* Bump standards version to 3.7.3. No changes needed.
* Add a homepage field to control file.
2007-08-23 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
qwtplot3d (0.2.7+svn191-1) unstable; urgency=low
* An SVN version. Includes patches necessary for PyQwt3d.
2007-06-27 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
qwtplot3d (0.2.7-1) unstable; urgency=low
* New upstream release.
* Changed the rules file. The original tgz file can be used directly now.
* Repatched the new release.
* Changed line endings with dos2unix in original tarball.
* Examples are not gzipped anymore.
* Changed maintainers email.
2007-01-26 - Gudjon I. Gudjonsson <gudjon@mc2.chalmers.se>
qwtplot3d (0.2.6+svn170-1) unstable; urgency=low
* Initial release (Closes: #408538)

See Also

Package Description
libqwtplot3d-qt4-dev_0.2.7+svn191-7_i386.deb 3D plotting library based on Qt4/OpenGL (development)
libqxmlrpc-dev_0.0.svn6-2_i386.deb full Qt4 based implementation of XML-RPC protocol. (headers)
libqxmlrpc-doc_0.0.svn6-2_all.deb full Qt4 based implementation of XML-RPC protocol. (headers)
libqxmlrpc1_0.0.svn6-2_i386.deb full Qt4 based implementation of XML-RPC protocol
libqxmpp-dev_0.8.0-1_i386.deb Development files for the QXmpp library
libqxmpp-doc_0.8.0-1_all.deb Documentation for the QXmpp library
libqxmpp0_0.8.0-1_i386.deb QXmpp library for XMPP client and server applications
libqxt-berkeley0_0.6.2-1+b1_i386.deb Berkeley databases module for Qt (LibQxt)
libqxt-core0_0.6.2-1+b1_i386.deb extensions to Qt core classes (LibQxt)
libqxt-designer0_0.6.2-1+b1_i386.deb LibQxt extensions to Qt Designer
libqxt-dev_0.6.2-1+b1_i386.deb LibQxt development files
libqxt-doc_0.6.2-1_all.deb LibQxt reference documentation
libqxt-gui0_0.6.2-1+b1_i386.deb extensions to Qt GUI classes (LibQxt)
libqxt-network0_0.6.2-1+b1_i386.deb extensions to Qt network classes (LibQxt)
libqxt-sql0_0.6.2-1+b1_i386.deb extensions to Qt SQL classes (LibQxt)
Advertisement
Advertisement